# nokogiri.rb

Path: | lib/nokogiri.rb
Last Update: | Sun Mar 21 00:13:55 -0600 2010

Modify the PATH on windows so that the external DLLs will get loaded.

### Required files

ffi nokogiri/ffi/libxml nokogiri/nokogiri nokogiri/version nokogiri/version_warning nokogiri/syntax_error nokogiri/xml nokogiri/xslt nokogiri/html nokogiri/decorators nokogiri/css nokogiri/html/builder nokogiri/hpricot

### Methods

Nokogiri

### Public Instance methods

Nokogiri(*args, &block)

Parser a document contained in `args`. Nokogiri will try to guess what type of document you are attempting to parse. For more information, see Nokogiri.parse

To specify the type of document, use Nokogiri.XML or Nokogiri.HTML.

[Validate]